> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve chain connection contracts

> Returns a list of contracts used for supporting each chain connection



## OpenAPI

````yaml /storage-proofs-api/openapi-storage-proof-api.json get /chain-connection-contracts
openapi: 3.0.3
info:
  title: Storage Proofs API
  description: >-
    API for submitting and managing Storage Proofs API requests across various
    blockchain networks
  version: 1.0.0
servers:
  - url: https://api.herodotus.cloud
    description: Production Server
  - url: https://staging.api.herodotus.cloud
    description: Staging Server
security: []
tags:
  - name: The one you want
    description: Probably the route you're looking for
  - name: Basic Batch Query
    description: Batch Query routes
  - name: Health check
    description: Health check routes
  - name: Info
    description: Info routes
paths:
  /chain-connection-contracts:
    get:
      tags:
        - Info
      summary: Retrieve chain connection contracts
      description: Returns a list of contracts used for supporting each chain connection
      parameters:
        - schema:
            $ref: '#/components/schemas/OriginChainId'
          in: query
          name: originChainId
          required: false
        - schema:
            $ref: '#/components/schemas/DestinationChainId'
          in: query
          name: destinationChainId
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  chainConnectionContracts:
                    type: array
                    items:
                      type: object
                      properties:
                        originChainId:
                          $ref: '#/components/schemas/OriginChainId'
                        destinationChainId:
                          $ref: '#/components/schemas/DestinationChainId'
                        contracts:
                          type: object
                          properties:
                            messageSender:
                              type: object
                              properties:
                                deployedOnChainId:
                                  $ref: '#/components/schemas/ChainId'
                                deployedAddress:
                                  type: string
                              required:
                                - deployedOnChainId
                                - deployedAddress
                              additionalProperties: false
                            messagesInbox:
                              type: object
                              properties:
                                deployedOnChainId:
                                  $ref: '#/components/schemas/ChainId'
                                deployedAddress:
                                  type: string
                              required:
                                - deployedOnChainId
                                - deployedAddress
                              additionalProperties: false
                            headerStore:
                              type: object
                              properties:
                                deployedOnChainId:
                                  $ref: '#/components/schemas/ChainId'
                                deployedAddress:
                                  type: string
                              required:
                                - deployedOnChainId
                                - deployedAddress
                              additionalProperties: false
                            timestampRemapper:
                              type: object
                              properties:
                                deployedOnChainId:
                                  $ref: '#/components/schemas/ChainId'
                                deployedAddress:
                                  type: string
                              required:
                                - deployedOnChainId
                                - deployedAddress
                              additionalProperties: false
                            factsRegistry:
                              type: object
                              properties:
                                deployedOnChainId:
                                  $ref: '#/components/schemas/ChainId'
                                deployedAddress:
                                  type: string
                              required:
                                - deployedOnChainId
                                - deployedAddress
                              additionalProperties: false
                          additionalProperties: false
                      required:
                        - originChainId
                        - destinationChainId
                        - contracts
                      additionalProperties: false
                required:
                  - chainConnectionContracts
                additionalProperties: false
      security: []
components:
  schemas:
    OriginChainId:
      type: string
      enum:
        - '1'
        - '11155111'
        - '11155420'
        - '4801'
        - '84532'
    DestinationChainId:
      type: string
      enum:
        - STARKNET
        - '300'
        - '11155111'
        - '11155420'
        - SN_SEPOLIA
        - '421614'
        - '4801'
    ChainId:
      type: string
      enum:
        - STARKNET
        - SN_SEPOLIA
        - '1'
        - '300'
        - '11155111'
        - '11155420'
        - '421614'
        - '4801'
        - '84532'

````